Skip to content

Create a Listening Topic.

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
idstring

Unique identifier of the Listening Topic in Sprinklr

namestringrequired

Listening Topic name

displayNamestring

Listening Topic display name

topicTypestringrequired

Listening Topic type, possible values : ACCOUNT_LISTENING, PROFILE_LISTENING, QUERY_LISTENING, GEO_LOCATION

iconUrlstring

Listening Topic icon url

imageUrlstring

Listening Topic image url

colorstring

Listening Topic identification color

descriptionstring

Listening Topic description

topicGroupIdstringrequired

Topic Group ID to which this Listening Topic belongs

startDateinteger, (int64)

Start date for Listening Topic to become active

endDateinteger, (int64)

End date for Listening Topic to become in-active

tagsArray of strings

Tags to group Listening Topic based on use case

sourcesArray of strings

Sources to grab data from

enabledboolean

Enable live data fetching

querystring

Keyword query to grab messages

languageCodesArray of strings

Languages from which data should be grabbed

countryCodesArray of strings

Countries from which data should be grabbed

locationsArray of objects(ListeningTopicLocation)

Locations from which data should be grabbed

blockLocationsArray of objects(ListeningTopicLocation)

Block Locations from which data should not be grabbed

blockedDomainsArray of strings

Domains from which data should be blocked

blockedDomainsListIdsArray of strings

Domain List IDs to block those Domain data

blockedClientProfileListsArray of strings

Client Profile List IDs from which data should be blocked

blockedPartnerProfileListsArray of strings

Partner Profile List IDs from which data should be blocked

blockedCountryCodesArray of strings

Countries from which data should be blocked

blockedLanguageCodesArray of strings

Languages from which data should be blocked

generatingSourceListArray of strings

Generating Source List IDs from which data should be grabbed

generatingSourcesArray of strings

Generating Sources from which data should be grabbed

blockedGeneratingSourceListArray of strings

Generating Source List IDs from which data should be blocked

blockedGeneratingSourcesArray of strings

Generating Sources from which data should be blocked

inclusiveDomainsArray of strings

Domains from which data should be grabbed

inclusiveDomainsListIdsArray of strings

Domains List IDs from which data should be grabbed

inclusiveClientProfileListsArray of strings

Client Profile List IDs from which data should be grabbed

inclusivePartnerProfileListsArray of strings

Partners Profile List IDs from which data should be grabbed

accountIdsArray of integers, (int64)

Account IDs from which data should be grabbed

accountGroupIdsArray of strings

Account Group List IDs from which data should be grabbed

excludeRetweetsboolean

Select true in order to exclude all retweets

matchQuotedRetweetsboolean

Select true in order to match quoted retweets

excludePossiblySensitiveContentboolean

Select true in order to exclude Sensitive tweets

excludeUrlsInSearchboolean

Select true in order to exclude urls from keyword search

excludeRevItemNameboolean

Select true in order to exclude review item name from search

onlyVerifiedUserboolean

Select true in order to match only verified users data

minimumFollowerCountinteger, (int64)

Minimum follower count that publishing user should have, to match message

minimumMozRanknumber, (double)

Minimum Moz rank to match message

maximumMozSpamScoreinteger, (int32)

Maximum Moz rank to match message

maximumAlexaRankinteger, (int32)

Maximum Alexa rank to match message

createdTimeinteger, (int64)

Listening Topic created time

modifiedTimeinteger, (int64)

Listening Topic last modified time

ownerUserIdinteger, (int64)

Listening Topic owner User ID

lastModifiedUserIdinteger, (int64)

Listening Topic last modified User ID

clientIdinteger, (int64)

Listening Topic client id

dataVolumeThresholdApiConfigobject(DataVolumeThresholdConfig)

Listening Topic data Volume Threshold Config

partnerCustomPropertiesobject

Listening Topic Partner Custom Properties

clientCustomPropertiesobject

Listening Topic Client Custom Properties

customEntityTypeVsCustomEntityIdsobject

Listening Topic Linked Custom Entities

autoBackfillboolean

Automatically backfill data for topic from start date

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/listening/topic \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "name": "string",
    "displayName": "string",
    "topicType": "string",
    "iconUrl": "string",
    "imageUrl": "string",
    "color": "string",
    "description": "string",
    "topicGroupId": "string",
    "startDate": 0,
    "endDate": 0,
    "tags": [
      "string"
    ],
    "sources": [
      "string"
    ],
    "enabled": true,
    "query": "string",
    "languageCodes": [
      "string"
    ],
    "countryCodes": [
      "string"
    ],
    "locations": [
      {
        "name": "string",
        "latitude": 0.1,
        "longitude": 0.1,
        "radius": 0.1,
        "unit": "string"
      }
    ],
    "blockLocations": [
      {
        "name": "string",
        "latitude": 0.1,
        "longitude": 0.1,
        "radius": 0.1,
        "unit": "string"
      }
    ],
    "blockedDomains": [
      "string"
    ],
    "blockedDomainsListIds": [
      "string"
    ],
    "blockedClientProfileLists": [
      "string"
    ],
    "blockedPartnerProfileLists": [
      "string"
    ],
    "blockedCountryCodes": [
      "string"
    ],
    "blockedLanguageCodes": [
      "string"
    ],
    "generatingSourceList": [
      "string"
    ],
    "generatingSources": [
      "string"
    ],
    "blockedGeneratingSourceList": [
      "string"
    ],
    "blockedGeneratingSources": [
      "string"
    ],
    "inclusiveDomains": [
      "string"
    ],
    "inclusiveDomainsListIds": [
      "string"
    ],
    "inclusiveClientProfileLists": [
      "string"
    ],
    "inclusivePartnerProfileLists": [
      "string"
    ],
    "accountIds": [
      0
    ],
    "accountGroupIds": [
      "string"
    ],
    "excludeRetweets": true,
    "matchQuotedRetweets": true,
    "excludePossiblySensitiveContent": true,
    "excludeUrlsInSearch": true,
    "excludeRevItemName": true,
    "onlyVerifiedUser": true,
    "minimumFollowerCount": 0,
    "minimumMozRank": 0.1,
    "maximumMozSpamScore": 0,
    "maximumAlexaRank": 0,
    "createdTime": 0,
    "modifiedTime": 0,
    "ownerUserId": 0,
    "lastModifiedUserId": 0,
    "clientId": 0,
    "dataVolumeThresholdApiConfig": {
      "duration": 0,
      "durationUnit": "string",
      "maxMentionCount": 0,
      "resetStartDate": true,
      "userIdsToNotify": [
        0
      ],
      "emailIdsToNotify": [
        "string"
      ],
      "userGroupIdsToNotify": [
        "string"
      ]
    },
    "partnerCustomProperties": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "clientCustomProperties": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "customEntityTypeVsCustomEntityIds": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "autoBackfill": true
  }'

Responses

Success

Bodyapplication/json
idstring

Unique identifier of the Listening Topic in Sprinklr

namestringrequired

Listening Topic name

displayNamestring

Listening Topic display name

topicTypestringrequired

Listening Topic type, possible values : ACCOUNT_LISTENING, PROFILE_LISTENING, QUERY_LISTENING, GEO_LOCATION

iconUrlstring

Listening Topic icon url

imageUrlstring

Listening Topic image url

colorstring

Listening Topic identification color

descriptionstring

Listening Topic description

topicGroupIdstringrequired

Topic Group ID to which this Listening Topic belongs

startDateinteger, (int64)

Start date for Listening Topic to become active

endDateinteger, (int64)

End date for Listening Topic to become in-active

tagsArray of strings

Tags to group Listening Topic based on use case

sourcesArray of strings

Sources to grab data from

enabledboolean

Enable live data fetching

querystring

Keyword query to grab messages

languageCodesArray of strings

Languages from which data should be grabbed

countryCodesArray of strings

Countries from which data should be grabbed

locationsArray of objects(ListeningTopicLocation)

Locations from which data should be grabbed

blockLocationsArray of objects(ListeningTopicLocation)

Block Locations from which data should not be grabbed

blockedDomainsArray of strings

Domains from which data should be blocked

blockedDomainsListIdsArray of strings

Domain List IDs to block those Domain data

blockedClientProfileListsArray of strings

Client Profile List IDs from which data should be blocked

blockedPartnerProfileListsArray of strings

Partner Profile List IDs from which data should be blocked

blockedCountryCodesArray of strings

Countries from which data should be blocked

blockedLanguageCodesArray of strings

Languages from which data should be blocked

generatingSourceListArray of strings

Generating Source List IDs from which data should be grabbed

generatingSourcesArray of strings

Generating Sources from which data should be grabbed

blockedGeneratingSourceListArray of strings

Generating Source List IDs from which data should be blocked

blockedGeneratingSourcesArray of strings

Generating Sources from which data should be blocked

inclusiveDomainsArray of strings

Domains from which data should be grabbed

inclusiveDomainsListIdsArray of strings

Domains List IDs from which data should be grabbed

inclusiveClientProfileListsArray of strings

Client Profile List IDs from which data should be grabbed

inclusivePartnerProfileListsArray of strings

Partners Profile List IDs from which data should be grabbed

accountIdsArray of integers, (int64)

Account IDs from which data should be grabbed

accountGroupIdsArray of strings

Account Group List IDs from which data should be grabbed

excludeRetweetsboolean

Select true in order to exclude all retweets

matchQuotedRetweetsboolean

Select true in order to match quoted retweets

excludePossiblySensitiveContentboolean

Select true in order to exclude Sensitive tweets

excludeUrlsInSearchboolean

Select true in order to exclude urls from keyword search

excludeRevItemNameboolean

Select true in order to exclude review item name from search

onlyVerifiedUserboolean

Select true in order to match only verified users data

minimumFollowerCountinteger, (int64)

Minimum follower count that publishing user should have, to match message

minimumMozRanknumber, (double)

Minimum Moz rank to match message

maximumMozSpamScoreinteger, (int32)

Maximum Moz rank to match message

maximumAlexaRankinteger, (int32)

Maximum Alexa rank to match message

createdTimeinteger, (int64)

Listening Topic created time

modifiedTimeinteger, (int64)

Listening Topic last modified time

ownerUserIdinteger, (int64)

Listening Topic owner User ID

lastModifiedUserIdinteger, (int64)

Listening Topic last modified User ID

clientIdinteger, (int64)

Listening Topic client id

dataVolumeThresholdApiConfigobject(DataVolumeThresholdConfig)

Listening Topic data Volume Threshold Config

partnerCustomPropertiesobject

Listening Topic Partner Custom Properties

clientCustomPropertiesobject

Listening Topic Client Custom Properties

customEntityTypeVsCustomEntityIdsobject

Listening Topic Linked Custom Entities

autoBackfillboolean

Automatically backfill data for topic from start date

Response
{ "id": "string", "name": "string", "displayName": "string", "topicType": "string", "iconUrl": "string", "imageUrl": "string", "color": "string", "description": "string", "topicGroupId": "string", "startDate": 0, "endDate": 0, "tags": [ "string" ], "sources": [ "string" ], "enabled": true, "query": "string", "languageCodes": [ "string" ], "countryCodes": [ "string" ], "locations": [ { … } ], "blockLocations": [ { … } ], "blockedDomains": [ "string" ], "blockedDomainsListIds": [ "string" ], "blockedClientProfileLists": [ "string" ], "blockedPartnerProfileLists": [ "string" ], "blockedCountryCodes": [ "string" ], "blockedLanguageCodes": [ "string" ], "generatingSourceList": [ "string" ], "generatingSources": [ "string" ], "blockedGeneratingSourceList": [ "string" ], "blockedGeneratingSources": [ "string" ], "inclusiveDomains": [ "string" ], "inclusiveDomainsListIds": [ "string" ], "inclusiveClientProfileLists": [ "string" ], "inclusivePartnerProfileLists": [ "string" ], "accountIds": [ 0 ], "accountGroupIds": [ "string" ], "excludeRetweets": true, "matchQuotedRetweets": true, "excludePossiblySensitiveContent": true, "excludeUrlsInSearch": true, "excludeRevItemName": true, "onlyVerifiedUser": true, "minimumFollowerCount": 0, "minimumMozRank": 0.1, "maximumMozSpamScore": 0, "maximumAlexaRank": 0, "createdTime": 0, "modifiedTime": 0, "ownerUserId": 0, "lastModifiedUserId": 0, "clientId": 0, "dataVolumeThresholdApiConfig": { "duration": 0, "durationUnit": "string", "maxMentionCount": 0, "resetStartDate": true, "userIdsToNotify": [ … ], "emailIdsToNotify": [ … ], "userGroupIdsToNotify": [ … ] }, "partnerCustomProperties": { "property1": [ … ], "property2": [ … ] }, "clientCustomProperties": { "property1": [ … ], "property2": [ … ] }, "customEntityTypeVsCustomEntityIds": { "property1": [ … ], "property2": [ … ] }, "autoBackfill": true }